Package org.firebirdsql.gds

## Interface TransactionParameterBuffer

- All Superinterfaces:
    `java.lang.Iterable<Parameter>`, `ParameterBuffer`
  All Known Implementing Classes:
    `TransactionParameterBufferImpl`

      public interface TransactionParameterBuffer
      extends ParameterBuffer

  Instances of this interface represent Transaction Parameter Buffer from the Firebird API.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `AUTOCOMMIT` | Deprecated.
    `static int` | `COMMIT_TIME` | Deprecated.
    `static int` | `CONCURRENCY` | Deprecated.
    `static int` | `CONSISTENCY` | Deprecated.
    `static int` | `EXCLUSIVE` | Deprecated.
    `static int` | `IGNORE_LIMBO` | Deprecated.
    `static int` | `LOCK_READ` | Deprecated.
    `static int` | `LOCK_TIMEOUT` | Deprecated.
    `static int` | `LOCK_WRITE` | Deprecated.
    `static int` | `NO_AUTO_UNDO` | Deprecated.
    `static int` | `NO_REC_VERSION` | Deprecated.
    `static int` | `NOWAIT` | Deprecated.
    `static int` | `PROTECTED` | Deprecated.
    `static int` | `READ` | Deprecated.
    `static int` | `READ_COMMITTED` | Deprecated.
    `static int` | `REC_VERSION` | Deprecated.
    `static int` | `RESTART_REQUESTS` | Deprecated.
    `static int` | `SHARED` | Deprecated.
    `static int` | `VERB_TIME` | Deprecated.
    `static int` | `WAIT` | Deprecated.
    `static int` | `WRITE` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TransactionParameterBuffer` | `deepCopy()` | Make a deep copy of this object.

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

    - ### Methods inherited from interface org.firebirdsql.gds.ParameterBuffer

      `addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, getArgumentAsInt, getArgumentAsString, getType, hasArgument, iterator, removeArgument, size, toBytes, toBytesWithType, toXdrable, writeArgumentsTo`

- - ### Field Detail

    - #### AUTOCOMMIT

          @Deprecated
          static final int AUTOCOMMIT

      Deprecated.
      See Also:
        Constant Field Values

    - #### READ_COMMITTED

          @Deprecated
          static final int READ_COMMITTED

      Deprecated.
      See Also:
        Constant Field Values

    - #### REC_VERSION

          @Deprecated
          static final int REC_VERSION

      Deprecated.
      See Also:
        Constant Field Values

    - #### NO_REC_VERSION

          @Deprecated
          static final int NO_REC_VERSION

      Deprecated.
      See Also:
        Constant Field Values

    - #### CONCURRENCY

          @Deprecated
          static final int CONCURRENCY

      Deprecated.
      See Also:
        Constant Field Values

    - #### CONSISTENCY

          @Deprecated
          static final int CONSISTENCY

      Deprecated.
      See Also:
        Constant Field Values

    - #### SHARED

          @Deprecated
          static final int SHARED

      Deprecated.
      See Also:
        Constant Field Values

    - #### PROTECTED

          @Deprecated
          static final int PROTECTED

      Deprecated.
      See Also:
        Constant Field Values

    - #### EXCLUSIVE

          @Deprecated
          static final int EXCLUSIVE

      Deprecated.
      See Also:
        Constant Field Values

    - #### WAIT

          @Deprecated
          static final int WAIT

      Deprecated.
      See Also:
        Constant Field Values

    - #### NOWAIT

          @Deprecated
          static final int NOWAIT

      Deprecated.
      See Also:
        Constant Field Values

    - #### READ

          @Deprecated
          static final int READ

      Deprecated.
      See Also:
        Constant Field Values

    - #### WRITE

          @Deprecated
          static final int WRITE

      Deprecated.
      See Also:
        Constant Field Values

    - #### LOCK_READ

          @Deprecated
          static final int LOCK_READ

      Deprecated.
      See Also:
        Constant Field Values

    - #### LOCK_WRITE

          @Deprecated
          static final int LOCK_WRITE

      Deprecated.
      See Also:
        Constant Field Values

    - #### VERB_TIME

          @Deprecated
          static final int VERB_TIME

      Deprecated.
      See Also:
        Constant Field Values

    - #### COMMIT_TIME

          @Deprecated
          static final int COMMIT_TIME

      Deprecated.
      See Also:
        Constant Field Values

    - #### IGNORE_LIMBO

          @Deprecated
          static final int IGNORE_LIMBO

      Deprecated.
      See Also:
        Constant Field Values

    - #### RESTART_REQUESTS

          @Deprecated
          static final int RESTART_REQUESTS

      Deprecated.
      See Also:
        Constant Field Values

    - #### NO_AUTO_UNDO

          @Deprecated
          static final int NO_AUTO_UNDO

      Deprecated.
      See Also:
        Constant Field Values

    - #### LOCK_TIMEOUT

          @Deprecated
          static final int LOCK_TIMEOUT

      Deprecated.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### deepCopy

          TransactionParameterBuffer deepCopy()

      Make a deep copy of this object.
      Returns:
        deep copy of this object.